image: gcc
build:
  stage: build
  script:
    - g++ -fPIC -Wall -g -c project/src/dynamic.cpp
    - g++ -g -shared -Wl,-soname,libdynamic.so.0 -o libdynamic.so.0.0 dynamic.o -lc
    - ldconfig -v -n .
    - ln -sf libdynamic.so.0 libdynamic.so

    - g++ -c project/src/static.cpp
    - ar rc libstatic.a static.o
    - ranlib libstatic.a
    
    - g++ project/src/main.cpp -o main -ldynamic -L.
    - export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
    - ./main